
create schema cmdbilling;

use cmdbilling;


DROP TABLE IF EXISTS `cdr`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdr` (
  `calldate` datetime default NULL,
  `src` varchar(80) default NULL,
  `dst` varchar(80) default NULL,
  `billsec` varchar(80) default NULL,
  `accountcode` varchar(20) default NULL,
  `uniqueid` varchar(32) default NULL,
  `grupos_int` varchar(80) default NULL,
  `secciones_int` varchar(80) default NULL,
  `grupos_acc` varchar(80) default NULL,
  `secciones_acc` varchar(80) default NULL,
  `salida_id` int(11) default NULL,
  `numero_id` int(11) default NULL,
  `tarificacion_id` int(11) default NULL,
  `costoSetup` decimal(9,3) default NULL,
  `tiempoSetup` int(11) default NULL,
  `costoFicha` decimal(9,3) default NULL,
  `tiempoFicha` int(11) default NULL,
  `costo` decimal(9,3) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `discado`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `discado` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(255) default NULL,
  `numero` varchar(255) default NULL,
  `descripcion` varchar(80) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=95 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `errorLog`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `errorLog` (
  `descripcion` varchar(200) default NULL,
  `codigo` int(4) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `gru_sec`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `gru_sec` (
  `grupo` int(11) default NULL,
  `seccion` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `grupos`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `grupos` (
  `id` int(11) NOT NULL auto_increment,
  `grupo` varchar(100) default NULL,
  `descripcion` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `numeros`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `numeros` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(100) default NULL,
  `numero` varchar(100) default NULL,
  `salida_id` varchar(100) default NULL,
  `orden` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1802 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;


DROP TABLE IF EXISTS `salidas`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `salidas` (
  `id` int(11) NOT NULL auto_increment,
  `nombre` varchar(100) default NULL,
  `id_salida` varchar(100) default NULL,
  `inicio` date NOT NULL,
  `final` date NOT NULL,
  `trunk` varchar(100) default NULL,
  `tipo` varchar(20) default NULL,
  `id_personalizado` varchar(100) default NULL,
  `id_asterisk` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=82 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;


DROP TABLE IF EXISTS `sec_usu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sec_usu` (
  `seccion` int(11) default NULL,
  `usuario` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;


DROP TABLE IF EXISTS `secciones`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `secciones` (
  `id` int(11) NOT NULL auto_increment,
  `seccion` varchar(100) default NULL,
  `descripcion` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=80 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;


DROP TABLE IF EXISTS `tarificaciones`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tarificaciones` (
  `id` int(11) NOT NULL auto_increment,
  `numero_id` varchar(100) default NULL,
  `tipo` varchar(100) default NULL,
  `fecha` varchar(100) default NULL,
  `inicio` time default NULL,
  `final` time default NULL,
  `costoSetup` decimal(9,3) default NULL,
  `tiempoSetup` int(11) default NULL,
  `costoFicha` decimal(9,3) default NULL,
  `tiempoFicha` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1355 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;



DROP TABLE IF EXISTS `usuarios`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL auto_increment,
  `tipo` varchar(1) default NULL,
  `codigo` varchar(10) default NULL,
  `descripcion` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=620 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

